.left__top--four {
  width: calc(365px - (24px + 25px));
  padding-left: 24px;
  padding-right: 25px;
  padding-top: 25px;
  grid-area: four;
  box-shadow: 0 20px 32px rgba(147, 147, 147, 0.18);
  border-radius: 10px;
  background-color: #ffffff;
  .four-title{
    color: #393939;
    font-family: 'Geometria';
    font-size: 14px;
    font-weight: 400;
    line-height: 26px;
    margin-bottom: 35px;
  }
  .four__addMoney{
    margin-bottom: 34px;
    .text-addMoney{
      display: flex;
      justify-content: flex-start;
      align-items: center;
      flex-wrap: wrap;
      color: #b5b5b5;
      font-family: 'Geometria';
      font-size: 12px;
      font-weight: 400;
      line-height: 6.77px;
      margin-bottom: 34px;
      span {
        margin-left: 30px;
        color: #393939;
        font-family: 'Geometria Bold';
        font-size: 12px;
        font-weight: 700;
        line-height: 6.77px;
      }
      .red {
        color: #f54a5b;
      }
    }
    .line__addMoney{
      width: 284px;
      height: 15px;
      border-radius: 7px;
      background-color: #f9f9f9;
      position: relative;
      .BGcolor {
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        margin: auto;
        width: 167px;
        height: 16px;
        box-shadow: 0 0 50px rgba(113, 97, 240, 0.3);
        border-radius: 7px;
        background-color: #f9f9f9;
        background-image: linear-gradient(to right, #5496ff 0%, #8739e6 100%);
      }
      .BGcolorRed{
          display: block;
          width: 110px;
          height: 15px;
          box-shadow: 0 0 50px rgba(113, 97, 240, 0.3);
          border-radius: 7px;
          background-color: #f9f9f9;
          background-image: linear-gradient(to right, #ff5454 0%, #e53966 100%);
      }
    }
  }
  .text-pribil{
    color: #afafaf;
    font-family: 'Geometria';
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    span {
      display: block;
      margin-top: 13px;
      color: #3ac666;
      font-family: 'Geometria Bold';
      font-size: 16px;
      font-weight: 700;
      line-height: 24px;
    }
  }
  .box-day{
    margin-top: 30px;
    .text-day{

      color: #393939;
      font-family: 'Geometria Bold';
      font-size: 14px;
      font-weight: 700;
      line-height: 26px;
      margin-bottom: 32px;
      span {
        display: block;
        color: #b9b9b9;
        font-family: 'Geometria';
        font-size: 14px;
        font-weight: 400;
        line-height: 26px;
      }
    }
    .box__day--flex{
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-wrap: wrap;
      margin-bottom: 20px;
      .box__day--element{
        flex-basis: 60px;
        height: 20px;
        margin-bottom: 36px;
        position: relative;
        .chart, .chart2{
          cursor: pointer;
        }
        .chart, .chart2, .chart3, .chart4 {
          position: relative;
          display: inline-block;
          margin: 20px 10px;
          color: #999;
          font-size: 14px;
          text-align: center;
        }
        .chart3{
          margin: 0;
        }
        .chart canvas, .chart2 canvas, .chart3 canvas, .chart4 canvas {
          position: absolute;
          top: 0;
          left: 0;
        }
        .box-modalAbsolute, .box-modalAbsoluteRed{
          display: none;
          width: calc(160px - 22px);
          padding: 19px 11px 18px;
          box-shadow: 0 0 50px rgba(148, 214, 94, 0.3);
          border-radius: 7px;
          background-color: #f9ffed;
          position: absolute;
          bottom: calc(100% + 48px);
          left: -40px;
          right: 0;
          margin: auto;
          .box-elementAbsolute{
            margin-bottom: 13px;
            .text-replenish{
              display: flex;
              justify-content: space-between;
              align-items: center;
              flex-wrap: wrap;
              color: #b5b5b5;
              font-size: 9px;
              font-weight: 400;
              line-height: 4.98px;
              margin-bottom: 3px;
              span {
                color: #393939;
                font-family: 'Geometria Bold';
                font-size: 9px;
                font-weight: 700;
                line-height: 4.98px;
              }
              .red {
                color: #f54a5b;

              }
            }
            .box-linePurple{
              width: 100%;
              height: 7px;
              border-radius: 3px;
              background-color: #e3e3e3;
              position: relative;
              .purple{
                display: block;
                position: absolute;
                top: 0;
                bottom: 0;
                left: 0;
                margin: auto;
                height: 7px;
                width: 55%;
                box-shadow: 0 0 50px rgba(113, 97, 240, 0.3);
                border-radius: 3px;
                background-color: #f9f9f9;
                background-image: linear-gradient(to right, #5496ff 0%, #8739e6 100%);
              }
              .red{
                position: absolute;
                top: 0;
                bottom: 0;
                left: 0;
                margin: auto;
                display: block;
                width: 80%;
                height: 7px;
                box-shadow: 0 0 50px rgba(113, 97, 240, 0.3);
                border-radius: 3px;
                background-color: #f9f9f9;
                background-image: linear-gradient(to right, #ff5454 0%, #e53966 100%);
              }
            }
          }
          .box-canvas-number{
            display: flex;
            justify-content: space-between;
            align-items: center;
            flex-wrap: wrap;
            .canvasLeft{
              margin-top: 10px;
              flex-basis: 20px;
            }
            .numberRight{
              flex-basis: calc(100% - 60px);
              .text-green{
                color: #42b968;
                font-size: 14px;
                font-weight: 400;
                line-height: 26px;
                margin-bottom: 18px;
                &:last-child {
                  margin-bottom: 0;
                }
              }
            }
          }
        }
        .box-modalAbsoluteRed{
          left: -80px;
          box-shadow: 0 0 50px rgba(214, 94, 94, 0.3);
          border-radius: 7px;
          background-color: #ffeded;
          .box-canvas-number{
            .numberRight{
              .text-green{
                color: #ee4260;
              }
            }
          }
        }
        .openModal{
          display: block;
          animation: hoverAnimation .5s forwards;
        }
      }
    }
  }
}
@keyframes hoverAnimation {
  0%{
    opacity: 0;
    margin-bottom: -50px;
  }
  100% {
    opacity: 1;
    margin-bottom: 0;
  }
}
@media(max-width: 1784px){
  .left__top--four{
    width: auto;
  }
}
